{ nur, lib, ... }:
{
  imports = [
    ./files
    ./programs
    ./services
    ./settings
    ./wms
    ./user
    ../extras

    # Imports
    nur.modules.homeManager.default
  ];

  options.home = {
    desktop.enable = lib.mkEnableOption "Enable desktop programs and services.";
  };

  config = {
    nixpkgs.config.allowUnfree = true;
    home.stateVersion = "24.11";
  };
}
